ERROR:JAVA: 错误: 不支持发行版本 5 解决方法

使用配置:

编译器:idea
JDK:jdk 13

 

注意:文章篇幅有点长,若省时间可直接看方法二或者方法三

ERROR:JAVA: 错误: 不支持发行版本 5

出现原因:本地配置jdk和idea默认的jdk不匹配

方法一:

File —> Project Structure
在这里插入图片描述
这里可以看到jdk环境是JDK13,再看Modules,使用的是5…

在这里插入图片描述
修改为13,然后点击 Setting–>Build,Execution…–>Compiler—>java Compiler。可以看到使用的jdk是1.5
在这里插入图片描述
将框住的区域都修改为13,然后apply,发现确实可以使用。

 

 

 

但是这种方式有弊端,就是一旦你的pom.xml文件做了修改再update之后,idea又会将刚才设置的配置统统恢复默认(坑坑坑!!!)

在这里插入图片描述
在这里插入图片描述

 

 

很显然这种方式很麻烦,每次修改pom.xml文件后,都需要再次去设置。

方法二(配置POM.XML):

在pom.xml文件中配置

<properties>
        <maven.compiler.source>13</maven.compiler.source>
        <maven.compiler.target>13</maven.compiler.target>
</properties>
<!-- 我的是jdk13,所以设置13  jdk1.8的可以直接将其换成1.8--!>

或者配置插件(二

添加完成后更新pom.xml,idea就不会再更新pom.xml后恢复之前的默认设置

这种设置的方式也存在弊端,就是只在当前Module有效,在创建一个新的Module之后,还是需要重新配置

方法三:(配置SETTINGS.XML)

进入maven的settings.xml配置文件,忘了的请看下图
在这里插入图片描述
进入settings.xml文件,找到profiles标签,加入以下代码

 

<profile>
     <id>jdk-13</id>
     <activation>
         <activeByDefault>true</activeByDefault>
         <jdk>13</jdk>
     </activation>
     <properties>
         <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
         <maven.compiler.source>13</maven.compiler.source>
         <maven.compiler.target>13</maven.compiler.target> 
     </properties> 
</profile>
<!-- jdk自行选择--!>

配置完成之后,再打开idea查看发现问题已经解决(以后都不用配置)
在这里插入图片描述
在这里插入图片描述
到这里就结束了,不敢保证每个人的问题都能解决,没有解决的也可以适当作作参考,但至少我的问题已经解决了(目前是这样)。

 

 

写在最后:有些人可能觉得前面两种方法完全是在浪费时间,之所以把三种方式全部列出来,是因为我在遇到这些问题的时候,几乎看到的都是第一种或第二种,没有根本上解决我的问题,浪费了大量的时间,所以在这里将我知道的方法都列出来,作作比较。

如果觉得文章对你有帮助,就点点赞吧!!!

转载链接:https://blog.csdn.net/DD04567/article/details/107205871

  • 303
    点赞
  • 387
    收藏
    觉得还不错? 一键收藏
  • 32
    评论

“相关推荐”对你有帮助么?

  • 非常没帮助
  • 没帮助
  • 一般
  • 有帮助
  • 非常有帮助
提交
评论 32
添加红包

请填写红包祝福语或标题

红包个数最小为10个

红包金额最低5元

当前余额3.43前往充值 >
需支付:10.00
成就一亿技术人!
领取后你会自动成为博主和红包主的粉丝 规则
hope_wisdom
发出的红包
实付
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、付费专栏及课程。

余额充值